AviatoAviato
DeveloperAPI ReferenceAnalyticsAdminSummary

/api/analytics/admin/summary

GET
/api/analytics/admin/summary

Query Parameters

range?string
Value in"24h" | "7d" | "30d" | "1y" | "ytd" | "all"
libraryId?string
userId?string
profileId?string
mediaType?string
source?string
Value in"tracked" | "manual" | "imported"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/analytics/admin/summary"
{
  "totalSessions": 0,
  "totalSecondsWatched": 0,
  "completedCount": 0,
  "uniqueProfiles": 0,
  "byLibrary": [
    {
      "libraryId": "string",
      "libraryName": "string",
      "mediaType": "string",
      "sessions": 0,
      "secondsWatched": 0,
      "completed": 0
    }
  ],
  "byDay": [
    {
      "date": "string",
      "sessions": 0,
      "secondsWatched": 0
    }
  ],
  "topItems": [
    {
      "itemId": "string",
      "title": "string",
      "libraryId": "string",
      "libraryName": "string",
      "mediaType": "string",
      "sessions": 0,
      "secondsWatched": 0
    }
  ]
}
{
  "error": "string"
}